#define MAXPATH 2048
#define MAXOPT 100
#define CONFIG_GROUP "__CONFIG"

#define ICON "grsync"
#define ICON_BUSY "grsync-busy"

extern GtkBuilder *builder;
extern GtkWidget *main_window;
extern gchar *argv_session, *argv_filename, *icon, *icon_busy;
extern gboolean cmdline_session, cmdline_execute, cmdline_stayopen, cmdline_import;
extern GtkListStore *liststore_session;

void save_settings(gchar *session, gchar *filename);
gboolean load_groups(gchar *session);
void on_main_create(GtkWindow *window, gpointer user_data);
void on_expander_rsync_activate(GtkExpander *expander, gpointer user_data);
void on_button_show_errors_clicked(GtkButton *button, gpointer user_data);
void on_import1_activate(GtkMenuItem *menuitem, gpointer user_data);
void on_rsync_show(GtkWidget *widget, gpointer user_data);
